Bug 259401 - multimedia/mplayer: depend on binutils when -no-integrated-as is used
Summary: multimedia/mplayer: depend on binutils when -no-integrated-as is used
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: arm Any
: --- Affects Only Me
Assignee: Thomas Zander
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2021-10-24 11:22 UTC by Robert Clausecker
Modified: 2021-11-04 00:36 UTC (History)
1 user (show)

See Also:
riggs: maintainer-feedback+
fuz: merge-quarterly?


Attachments
multimedia/mplayer: depend on binutils when -no-integrated-as is used (903 bytes, patch)
2021-10-24 11:22 UTC, Robert Clausecker
fuz: maintainer-approval? (riggs)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Robert Clausecker 2021-10-24 11:22:49 UTC
Created attachment 228983 [details]
multimedia/mplayer: depend on binutils when -no-integrated-as is used

Since FreeBSD 13 or so, FreeBSD has stopped shipping binutils.
Unfortunately binutils are what provides the as(1) binary which
is required for the clang option -no-integrated-as to work.  As
a result, multimedia/mplayer, multimedia/mencoder, and possibly
others fail to compile on armv6 and armv7.

The attached patch fixes this problem by adding a BUILD_DEPENDENCY
on as:devel/binutils@native when -no-integrated-as is supplied.

Verified with Poudriere on armv7 FreeBSD 13.

Please MFH if possible.
Comment 1 Thomas Zander freebsd_committer 2021-11-03 06:50:28 UTC
Are you using 14?

I was just reproducing the problem (in poudriere, FreeBSD 13), and noticed that only on armv6 the BUILD_DEPENDS is needed. On armv7 the build succeeded without it.
Comment 2 Robert Clausecker 2021-11-03 08:34:58 UTC
(In reply to Thomas Zander from comment #1)

Hi Thomas,

That is strange.  I found this problem on armv7.
Comment 3 Thomas Zander freebsd_committer 2021-11-04 00:11:00 UTC
(In reply to Robert Clausecker from comment #2)

My bad! I was testing in an aarch64 jajl, not an armv7. Sorry for the noise, your patch looks good.
Comment 4 commit-hook freebsd_committer 2021-11-04 00:31:18 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=276a151ebc8de073077485d09de58d8b7e554d47

commit 276a151ebc8de073077485d09de58d8b7e554d47
Author:     Thomas Zander <riggs@FreeBSD.org>
AuthorDate: 2021-11-04 00:27:26 +0000
Commit:     Thomas Zander <riggs@FreeBSD.org>
CommitDate: 2021-11-04 00:30:29 +0000

    multimedia/mplayer: Fix build on armv6, armv7

    Details:
    - Add dependency on binutils, as -no-integrated-as is used on both
      armv6 and armv7

    PR:             259401
    Reported by:    fuz@fuz.su
    MFH:            2021Q4

 multimedia/mplayer/Makefile.options | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)
Comment 5 commit-hook freebsd_committer 2021-11-04 00:32:19 UTC
A commit in branch 2021Q4 references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=0cc744a9c01c7af6757ba37e5930d31e2085422e

commit 0cc744a9c01c7af6757ba37e5930d31e2085422e
Author:     Thomas Zander <riggs@FreeBSD.org>
AuthorDate: 2021-11-04 00:27:26 +0000
Commit:     Thomas Zander <riggs@FreeBSD.org>
CommitDate: 2021-11-04 00:31:05 +0000

    multimedia/mplayer: Fix build on armv6, armv7

    Details:
    - Add dependency on binutils, as -no-integrated-as is used on both
      armv6 and armv7

    PR:             259401
    Reported by:    fuz@fuz.su
    MFH:            2021Q4

    (cherry picked from commit 276a151ebc8de073077485d09de58d8b7e554d47)

 multimedia/mplayer/Makefile.options | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)